Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.portlet.servlet
Class PortletServletResponseJSR286

    java.lang.Object
      org.apache.struts2.portlet.servlet.PortletServletResponse
          org.apache.struts2.portlet.servlet.PortletServletResponseJSR286

All Implemented Interfaces:
  javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse

    public class PortletServletResponseJSR286

extends PortletServletResponse

PortletServletResponseJSR286.

Author:
  Rene Gielen

Field Summary

Fields inherited from class org.apache.struts2.portlet.servlet.PortletServletResponse
`portletResponse`

Fields inherited from interface javax.servlet.http.HttpServletResponse
`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

Constructor Summary
`PortletServletResponseJSR286(javax.portlet.PortletResponse portletResponse)`

Method Summary
`void` | `flushBuffer()`
`int` | `getBufferSize()`
`String` | `getCharacterEncoding()`
`String` | `getContentType()`
`Locale` | `getLocale()`
`javax.servlet.ServletOutputStream` | `getOutputStream()`
`PrintWriter` | `getWriter()`
`boolean` | `isCommitted()`
`void` | `reset()`
`void` | `resetBuffer()`
`void` | `setBufferSize(int size)`
`void` | `setCharacterEncoding(String charset)`
`void` | `setContentLength(int len)`
`void` | `setContentType(String type)`
`void` | `setLocale(Locale loc)`

Methods inherited from class org.apache.struts2.portlet.servlet.PortletServletResponse
`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, getPortletResponse, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletServletResponseJSR286

    public PortletServletResponseJSR286(javax.portlet.PortletResponse portletResponse)

Method Detail

### flushBuffer

    public void flushBuffer()
                     throws IOException

  Specified by:
    `flushBuffer` in interface `javax.servlet.ServletResponse`
  Overrides:
    `flushBuffer` in class `PortletServletResponse`
  Throws:
    `IOException`

### getBufferSize

    public int getBufferSize()

  Specified by:
    `getBufferSize` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getBufferSize` in class `PortletServletResponse`

### getCharacterEncoding

    public String getCharacterEncoding()

  Specified by:
    `getCharacterEncoding` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getCharacterEncoding` in class `PortletServletResponse`

### getContentType

    public String getContentType()

  Specified by:
    `getContentType` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getContentType` in class `PortletServletResponse`

### getLocale

    public Locale getLocale()

  Specified by:
    `getLocale` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getLocale` in class `PortletServletResponse`

### getOutputStream

    public javax.servlet.ServletOutputStream getOutputStream()
                                                      throws IOException

  Specified by:
    `getOutputStream` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getOutputStream` in class `PortletServletResponse`
  Throws:
    `IOException`

### getWriter

    public PrintWriter getWriter()
                          throws IOException

  Specified by:
    `getWriter` in interface `javax.servlet.ServletResponse`
  Overrides:
    `getWriter` in class `PortletServletResponse`
  Throws:
    `IOException`

### isCommitted

    public boolean isCommitted()

  Specified by:
    `isCommitted` in interface `javax.servlet.ServletResponse`
  Overrides:
    `isCommitted` in class `PortletServletResponse`

### reset

    public void reset()

  Specified by:
    `reset` in interface `javax.servlet.ServletResponse`
  Overrides:
    `reset` in class `PortletServletResponse`

### resetBuffer

    public void resetBuffer()

  Specified by:
    `resetBuffer` in interface `javax.servlet.ServletResponse`
  Overrides:
    `resetBuffer` in class `PortletServletResponse`

### setBufferSize

    public void setBufferSize(int size)

  Specified by:
    `setBufferSize` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setBufferSize` in class `PortletServletResponse`

### setCharacterEncoding

    public void setCharacterEncoding(String charset)

  Specified by:
    `setCharacterEncoding` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setCharacterEncoding` in class `PortletServletResponse`

### setContentLength

    public void setContentLength(int len)

  Specified by:
    `setContentLength` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setContentLength` in class `PortletServletResponse`

### setContentType

    public void setContentType(String type)

  Specified by:
    `setContentType` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setContentType` in class `PortletServletResponse`

### setLocale

    public void setLocale(Locale loc)

  Specified by:
    `setLocale` in interface `javax.servlet.ServletResponse`
  Overrides:
    `setLocale` in class `PortletServletResponse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.